<?php
// File: logout.php

session_start();

// Remove the user from the online users list
if (isset($_SESSION['username'])) {
    $username = $_SESSION['username'];
    $online_users_file = 'online_users.txt';

    if (file_exists($online_users_file)) {
        $users = file($online_users_file, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
        $updated_users = array_filter($users, fn($user) => trim($user) !== $username);
        file_put_contents($online_users_file, implode("\n", $updated_users) . "\n");
    }

    // Unset the session
    unset($_SESSION['username']);
}

// Destroy the session
session_destroy();

// Redirect to login page
header('Location: user_login.php');
exit;
?>
